/* @BD_Univ_InsertData.sql */
SET ECHO ON

/* eliminar los datos existentes en las tablas
*/
@BD_Univ_deleteData.sql

/* aadir algunos datos a las tablas, para probar las consultas
*/
SET ECHO OFF
INSERT INTO Departamento VALUES (1, 'D_1', 'ING.MECANICA');
INSERT INTO Departamento VALUES (2, 'D_2', 'MATEMATICAS');
INSERT INTO Departamento VALUES (3, 'D_3', 'INFORMATICA');
INSERT INTO Departamento VALUES (4, 'D_4', 'VIRTUAL');

INSERT INTO AreaConoc VALUES (1, 'AC_1', 'C.MATERIALES', 1);
INSERT INTO AreaConoc VALUES (2, 'AC_2', 'EXPR.GRAF.', 1);
INSERT INTO AreaConoc VALUES (3, 'AC_3', 'MAT.APL.', 2);
INSERT INTO AreaConoc VALUES (4, 'AC_4', 'ARQ.COMP.', 3);
INSERT INTO AreaConoc VALUES (5, 'AC_5', 'LENGUAJES', 3);

INSERT INTO Titulacion VALUES (1, 'T_1', 'ING. Informatica');
INSERT INTO Titulacion VALUES (2, 'T_2', 'Ing. Industrial');
INSERT INTO Titulacion VALUES (3, 'T_3', 'Arquitectura');

INSERT INTO Profesor VALUES (1, 'P_1', 'profesor_1', 1);
INSERT INTO Profesor VALUES (2, 'P_2', 'profesor_2', 1);
INSERT INTO Profesor VALUES (3, 'P_3', 'profesor_3', 2);
INSERT INTO Profesor VALUES (4, 'P_4', 'profesor_4', 4);
INSERT INTO Profesor VALUES (5, 'P_5', 'profesor_5', 4);
INSERT INTO Profesor VALUES (6, 'P_6', 'profesor_6', 4);

INSERT INTO Asignatura VALUES (1, 'A_1', 'microprocesadores', 10, 10, 4);
INSERT INTO Asignatura VALUES (2, 'A_2', 'redes', 20, 20, 4);
INSERT INTO Asignatura VALUES (3, 'A_3', 'calculo numrico', 40, 20, 3);
INSERT INTO Asignatura VALUES (4, 'A_4', 'descriptiva', 40, 10, 2);
INSERT INTO Asignatura VALUES (5, 'A_5', 'dibujo', 60, 0, 2);
INSERT INTO Asignatura VALUES (6, 'A_6', 'estructuras', 40, 20, 1);

INSERT INTO ImparteAsign VALUES (1, 2, 5, 20);
INSERT INTO ImparteAsign VALUES (1, 6, 15, 15);
INSERT INTO ImparteAsign VALUES (2, 6, 15, 15);
INSERT INTO ImparteAsign VALUES (3, 1, 5, 6);
INSERT INTO ImparteAsign VALUES (3, 4, 40, 10);
INSERT INTO ImparteAsign VALUES (4, 1, 0, 4);
INSERT INTO ImparteAsign VALUES (6, 2, 15, 0);

INSERT INTO AsignTitulo VALUES (1, 1);
INSERT INTO AsignTitulo VALUES (2, 1);
INSERT INTO AsignTitulo VALUES (4, 1);
INSERT INTO AsignTitulo VALUES (4, 2);
INSERT INTO AsignTitulo VALUES (5, 1);
INSERT INTO AsignTitulo VALUES (6, 2);

SET ECHO ON

/* mostrar los datos introducidos en las tablas
*/
@BD_Univ_showData.sql
