/* @BD_Univ_showData.sql */
-- muestra los datos que hay en la BD Univ.

column clvDpto    heading "idDpto"       format 999;
column codDpto    heading "acrDpto"      format a8 trunc;
column nombDpto   heading "Departamento" format a20 trunc;
column clvProf    heading "idProf"       format 999;
column codProf    heading "acrProf"      format a8 trunc;
column nombProf   heading "Profesor"     format a20 trunc;
column clvArea    heading "idArea"       format 9999;
column codArea    heading "acrArea"      format a8 trunc;
column nombArea   heading "Area Conoc."  format a20 trunc;
column HT         heading "Teora"       format 999;
column HP         heading "Probl."       format 999;
column clvAsign   heading "idAsig"       format 999;
column codAsign   heading "acrAsign"     format a8 trunc;
column nombAsign  heading "Asignatura"   format a20 trunc;
column tt_HT      heading "H.T."         format 999;
column tt_HP      heading "H.P."         format 999;
column clvTitulo  heading "idTit"        format 999;
column codTitulo  heading "acrTitul"     format a8 trunc;
column nombTitulo heading "Titulacin"   format a20 trunc;

SELECT COUNT(*) "n Dptos" FROM Departamento;
SELECT * FROM Departamento ORDER BY clvDpto;

SELECT COUNT(*) "n areas" FROM AreaConoc;
SELECT * FROM AreaConoc    ORDER BY clvArea;

SELECT COUNT(*) "n Prof"  FROM Profesor;
SELECT * FROM Profesor     ORDER BY clvProf;

SELECT COUNT(*) "n Asign" FROM Asignatura;
SELECT * FROM Asignatura   ORDER BY clvAsign;

SELECT COUNT(*) "n Titul" FROM Titulacion;
SELECT * FROM Titulacion   ORDER BY clvTitulo;

SELECT COUNT(*) "n ImpAsg" FROM ImparteAsign;
SELECT * FROM ImparteAsign  ORDER BY clvProf, clvAsign;

SELECT COUNT(*) "n AsgTit" FROM AsignTitulo;
SELECT * FROM AsignTitulo   ORDER BY clvAsign, clvTitulo;
